com.aliyun.svideosdk.common.struct.effect

## Class EffectPaint

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectPaint

-     public class EffectPaint
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectPaint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bitmap` | `getBitmap()` Deprecated.
    `CanvasInfo` | `getCanvasInfo()` Gets the canvas information.
    `java.lang.String` | `getPath()` Gets the path of a doodle image.
    `int` | `getViewId()` Gets the id of a resource.
    `void` | `setBitmap(Bitmap bitmap)` Deprecated.
    `void` | `setCanvasInfo(CanvasInfo canvasInfo)` Sets the canvas information.
    `void` | `setPath(java.lang.String path)` Sets the path of an image.
    `void` | `setViewId(int vid)` Sets the id of a resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectPaint

          public EffectPaint()

  - ### Method Detail

    - #### getViewId

          public int getViewId()

      Gets the id of a resource.
      Returns:
        id

    - #### setViewId

          public void setViewId(int vid)

      Sets the id of a resource. It is not recommended to call this method.
      Parameters:
        `vid` - The resource id.

    - #### setBitmap

          @Deprecated
          public void setBitmap(Bitmap bitmap)

      Deprecated.

    - #### getBitmap

          @Deprecated
          public Bitmap getBitmap()

      Deprecated.

    - #### setPath

          public void setPath(java.lang.String path)

      Sets the path of an image.
      Parameters:
        `path` - The image path.

    - #### getPath

          public java.lang.String getPath()

      Gets the path of a doodle image.
      Returns:

    - #### getCanvasInfo

          public CanvasInfo getCanvasInfo()

      Gets the canvas information. It is not recommended to call this method.
      Returns:
        `CanvasInfo`

    - #### setCanvasInfo

          public void setCanvasInfo(CanvasInfo canvasInfo)

      Sets the canvas information. It is not recommended to call this method.
      Parameters:
        `canvasInfo` - The canvas information.